speckley::ReaderParameters Struct Reference

Structure that wraps parameters for the grid reading routines. More...

`#include <SpeckleyDomain.h>`

## Public Attributes

std::vector< dim_t > | first
| the (global) offset into the data object to start writing into More...
std::vector< dim_t > | numValues
| the number of values to read from file More...
std::vector< int > | multiplier
std::vector< int > | reverse
| if non-zero, values are written from last index to first index More...
int | byteOrder
| byte order in the file (used by binary reader only) More...
int | dataType
| data type in the file (used by binary reader only) More...

## Detailed Description

Structure that wraps parameters for the grid reading routines.

## Member Data Documentation

## byteOrder

int speckley::ReaderParameters::byteOrder

byte order in the file (used by binary reader only)

Referenced by speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridImpl(), and speckley::Rectangle::readBinaryGridImpl().

## dataType

int speckley::ReaderParameters::dataType

data type in the file (used by binary reader only)

Referenced by speckley::readBinaryGrid(), speckley::Rectangle::readBinaryGrid(), speckley::Brick::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridFromZipped(), and speckley::Rectangle::readBinaryGridFromZipped().

## first

std::vector<dim_t> speckley::ReaderParameters::first

the (global) offset into the data object to start writing into

Referenced by speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridImpl(), speckley::Rectangle::readBinaryGridImpl(), speckley::Rectangle::readNcGrid(), speckley::Brick::readNcGrid(), and speckley::readNcGrid().

## multiplier

std::vector<int> speckley::ReaderParameters::multiplier

how often to write each value from the file into the data object (e.g. to supersample)

Referenced by speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridImpl(), speckley::Rectangle::readBinaryGridImpl(), speckley::Rectangle::readNcGrid(), speckley::Brick::readNcGrid(), and speckley::readNcGrid().

## numValues

std::vector<dim_t> speckley::ReaderParameters::numValues

the number of values to read from file

Referenced by speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridImpl(), speckley::Rectangle::readBinaryGridImpl(), speckley::Rectangle::readNcGrid(), speckley::Brick::readNcGrid(), and speckley::readNcGrid().

## reverse

std::vector<int> speckley::ReaderParameters::reverse

if non-zero, values are written from last index to first index

Referenced by speckley::readBinaryGrid(), speckley::readBinaryGridFromZipped(), speckley::Brick::readBinaryGridImpl(), speckley::Rectangle::readBinaryGridImpl(), speckley::Rectangle::readNcGrid(), speckley::Brick::readNcGrid(), and speckley::readNcGrid().

The documentation for this struct was generated from the following file:

- speckley/src/SpeckleyDomain.h